Bug 555232 - Review Request: perl-Sys-Hostname-Long - Try every conceivable way to get full hostname
Summary: Review Request: perl-Sys-Hostname-Long - Try every conceivable way to get ful...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/Sys-Hostn...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-14 04:43 UTC by Iain Arnell
Modified: 2015-03-01 22:00 UTC (History)
4 users (show)

Fixed In Version: 1.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-01-16 07:37:41 UTC
Type: ---
panemade: fedora-review+
pbabinca: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-01-14 04:43:35 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-Sys-Hostname-Long.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-Sys-Hostname-Long-1.4-1.fc13.src.rpm

Description:
How to get the host full name in perl on multiple operating systems (mac,
windows, unix* etc)

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1920299

*rt-0.10

Comment 1 Parag AN(पराग) 2010-01-15 07:51:37 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1920299
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url (sha1sum)
3e2f64ca953ab9123fa9994e6fcfb709b049f6c0  Sys-Hostname-Long-1.4.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=1, Tests=1,  0 wallclock secs ( 0.02 usr  0.01 sys +  0.02 cusr  0.00 csys =  0.05 CPU)
+ Package perl-Sys-Hostname-Long-1.4-1.fc12.noarch =>
Provides: perl(Sys::Hostname::Long) = 1.4
Requires: /usr/bin/perl perl(Carp) perl(Exporter) perl(Sys::Hostname) perl(Sys::Hostname::Long) perl(Test) perl(lib) perl(strict) perl(vars)

+ Not a GUI application

APPROVED.

Comment 2 Iain Arnell 2010-01-15 08:35:47 UTC
New Package CVS Request
=======================
Package Name: perl-Sys-Hostname-Long
Short Description: Try every conceivable way to get full hostname
Owners: iarnell
Branches: F-11 F-12
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-01-15 19:53:47 UTC
CVS done (by process-cvs-requests.py).

Comment 4 Fedora Update System 2010-01-16 07:39:50 UTC
perl-Sys-Hostname-Long-1.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Sys-Hostname-Long-1.4-1.fc12

Comment 5 Fedora Update System 2010-01-16 07:39:54 UTC
perl-Sys-Hostname-Long-1.4-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Sys-Hostname-Long-1.4-1.fc11

Comment 6 Fedora Update System 2010-01-27 01:08:12 UTC
perl-Sys-Hostname-Long-1.4-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-01-27 01:11:31 UTC
perl-Sys-Hostname-Long-1.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Iain Arnell 2011-07-16 12:13:32 UTC
Package Change Request
======================
Package Name: perl-Sys-Hostname-Long
New Branches: el5 el6
Owners: iarnell

Comment 9 Gwyn Ciesla 2011-07-16 14:35:21 UTC
Git done (by process-git-requests).

Comment 10 Paul Howarth 2015-02-09 09:24:23 UTC
Package Change Request
======================
Package Name: perl-Sys-Hostname-Long
New Branches: epel7
Owners: pghmcfc

Needed for MailScanner (http://www.mailscanner.info/).

Comment 11 Pavol Babinčák 2015-02-09 12:45:48 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2015-02-09 14:01:11 UTC
perl-Sys-Hostname-Long-1.5-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Sys-Hostname-Long-1.5-1.el7

Comment 13 Fedora Update System 2015-03-01 22:00:51 UTC
perl-Sys-Hostname-Long-1.5-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.